require 'angumine/version'
require 'nokogiri'
require 'angumine/cli'
require 'angumine/sax_parser'

module Angumine
  class << self
    def parse(file_contents)
      sax_parser = Angumine::SaxParser.new
      parser = Nokogiri::HTML::SAX::Parser.new(sax_parser)
      parser.parse(file_contents)
      sax_parser.mined_data
    end
  end
end
